Bug 780353 - (SOA-2763) SecurityDomain class loading issues with IBM JDK 6
SecurityDomain class loading issues with IBM JDK 6
Status: CLOSED NOTABUG
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, JBossAS (Show other bugs)
5.1.0.ER6
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Martin Vecera
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 06:19 EST by Martin Vecera
Modified: 2011-01-12 09:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEL 5, IBM JDK 1.6, both 32 and 64 bits
Last Closed: 2011-01-12 09:21:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log.bz2 (5.48 MB, application/bzip2)
2011-01-11 06:21 EST, Martin Vecera
no flags Details
Quickstart_helloworld_ejb3.jar (5.23 KB, application/x-java-vm)
2011-01-11 06:33 EST, Martin Vecera
no flags Details
Quickstart_webservice_proxy_basic_ws.war (6.75 KB, application/octet-stream)
2011-01-11 06:33 EST, Martin Vecera
no flags Details
Quickstart_SecurityCredentials.esb (8.01 KB, application/octet-stream)
2011-01-11 06:33 EST, Martin Vecera
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2763 None None None Never

  None (edit)
Description Martin Vecera 2011-01-11 06:19:47 EST
project_key: SOA

It is not possible to deploy ESB applications working with security with IBM JDK 1.6 (see the attached log for details).

2011-01-10 16:35:35,611 ERROR [org.jboss.kernel.plugins.dependency.AbstractKernelController] Error installing to PostClassLoader: name=vfszip:/qa/hudson_ws/workspace/soa-it-os-ibm16/jdk/ibm16/label/RHEL5_x86_64/qa/tests/quickstarts/tests/output/lib/Quickstart_helloworld_ejb3.jar/ state=ClassLoader mode=Manual requiredState=PostClassLoader
org.jboss.deployers.spi.DeploymentException: Cannot process metadata
        at org.jboss.deployers.spi.DeploymentException.rethrowAsDeploymentException(DeploymentException.java:49)
        at org.jboss.deployment.AnnotationMetaDataDeployer.deploy(AnnotationMetaDataDeployer.java:181)
        at org.jboss.deployment.AnnotationMetaDataDeployer.deploy(AnnotationMetaDataDeployer.java:93)
...
Caused by:
java.lang.TypeNotPresentException: Type org.jboss.annotation.security.SecurityDomain not present
        at com.ibm.oti.reflect.AnnotationHelper.getAnnotation(AnnotationHelper.java:39)
        at com.ibm.oti.reflect.AnnotationHelper.getDeclaredAnnotations(AnnotationHelper.java:51)
        at java.lang.Class.getDeclaredAnnotations(Class.java:1628)
...
Caused by:
java.lang.ClassNotFoundException: org.jboss.annotation.security.SecurityDomain
        at java.lang.Class.forNameImpl(Native Method)
        at java.lang.Class.forName(Class.java:169)
        at com.ibm.oti.reflect.AnnotationHelper.getAnnotation(AnnotationHelper.java:34)
        ... 80 more
Comment 1 Martin Vecera 2011-01-11 06:21:16 EST
Attachment: Added: server.log.bz2
Comment 2 Martin Vecera 2011-01-11 06:33:04 EST
Attachment: Added: Quickstart_helloworld_ejb3.jar
Comment 3 Martin Vecera 2011-01-11 06:33:18 EST
Attachment: Added: Quickstart_webservice_proxy_basic_ws.war
Comment 4 Martin Vecera 2011-01-11 06:33:31 EST
Attachment: Added: Quickstart_SecurityCredentials.esb
Comment 5 Martin Vecera 2011-01-11 06:33:50 EST
I attached some problematic deployments.
Comment 6 Kevin Conner 2011-01-11 06:35:06 EST
A wild guess could be that the annotation does not exist and the IBM JDK requires it to be present.
Comment 7 Martin Vecera 2011-01-11 09:55:00 EST
I tried to use different annotation implementation. Waiting for test results now...
Comment 8 Martin Vecera 2011-01-12 09:20:55 EST
Another implementation of SecurityDomain works fine.

Note You need to log in before you can comment on or make changes to this bug.